MCP Tools Reference: ces.googleapis.com

ツール: get_evaluation_run

指定された評価実行の詳細を取得します。

次のサンプルは、curl を使用して get_evaluation_run MCP ツールを呼び出す方法を示しています。

Curl リクエスト
                  
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_evaluation_run",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

入力スキーマ

EvaluationService.GetEvaluationRun のリクエスト メッセージです。

GetEvaluationRunRequest

JSON 表現
{
  "name": string
}
フィールド
name

string

必須。取得する評価実行のリソース名。

出力スキーマ

評価実行は、評価実行のすべての評価結果を表します。

EvaluationRun

JSON 表現
{
  "name": string,
  "displayName": string,
  "evaluationResults": [
    string
  ],
  "createTime": string,
  "initiatedBy": string,
  "appVersion": string,
  "appVersionDisplayName": string,
  "changelog": string,
  "changelogCreateTime": string,
  "evaluations": [
    string
  ],
  "evaluationDataset": string,
  "evaluationType": enum (EvaluationType),
  "state": enum (EvaluationRunState),
  "progress": {
    object (Progress)
  },
  "config": {
    object (EvaluationConfig)
  },
  "error": {
    object (Status)
  },
  "errorInfo": {
    object (EvaluationErrorInfo)
  },
  "evaluationRunSummaries": {
    string: {
      object (EvaluationRunSummary)
    },
    ...
  },
  "latencyReport": {
    object (LatencyReport)
  },
  "runCount": integer,
  "personaRunConfigs": [
    {
      object (PersonaRunConfig)
    }
  ],
  "optimizationConfig": {
    object (OptimizationConfig)
  },
  "scheduledEvaluationRun": string,
  "goldenRunMethod": enum (GoldenRunMethod)
}
フィールド
name

string

ID。評価実行の一意の識別子。形式: projects/{project}/locations/{location}/apps/{app}/evaluationRuns/{evaluationRun}

displayName

string

省略可。評価実行のユーザー定義の表示名。デフォルト: 「 run - 」。

evaluationResults[]

string

出力専用。この実行の一部である評価結果。形式: projects/{project}/locations/{location}/apps/{app}/evaluations/{evaluation}/results/{result}

createTime

string (Timestamp format)

出力専用。評価実行が作成されたときのタイムスタンプ。

RFC 3339 を使用します。生成された出力は常に Z 正規化され、小数点以下は 0、3、6、または 9 桁になります。「Z」以外のオフセットも使用できます。例: "2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

initiatedBy

string

出力専用。評価実行を開始したユーザー。

appVersion

string

出力専用。評価するアプリのバージョン。形式: projects/{project}/locations/{location}/apps/{app}/versions/{version}

appVersionDisplayName

string

出力専用。評価が実行された app_version の表示名。

changelog

string

出力専用。評価が実行されたアプリ バージョンの変更ログ。ユーザーが最新版/下書きで評価を実行した場合に設定されます。

changelogCreateTime

string (Timestamp format)

出力専用。評価の実行対象となったアプリ バージョンの変更ログの作成時間。ユーザーが最新版/下書きで評価を実行した場合に設定されます。

RFC 3339 を使用します。生成された出力は常に Z 正規化され、小数点以下は 0、3、6、または 9 桁になります。「Z」以外のオフセットも使用できます。例: "2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

evaluations[]

string

出力専用。この実行の一部である評価。リストには、どちらのタイプの評価を含めることもできます。このフィールドは evaluation_dataset と相互に排他的です。形式: projects/{project}/locations/{location}/apps/{app}/evaluations/{evaluation}

evaluationDataset

string

出力専用。この実行に関連付けられている評価データセット。このフィールドは evaluations と相互に排他的です。形式: projects/{project}/locations/{location}/apps/{app}/evaluationDatasets/{evaluationDataset}

evaluationType

enum (EvaluationType)

出力専用。この実行の評価のタイプ。

state

enum (EvaluationRunState)

出力専用。評価実行の状態。

progress

object (Progress)

出力専用。評価実行の進行状況。

config

object (EvaluationConfig)

出力専用。実行で使用される構成。

error
(deprecated)

object (Status)

出力専用。非推奨: 代わりに error_info を使用してください。実行中に発生したエラー。

errorInfo

object (EvaluationErrorInfo)

出力専用。評価実行のエラー情報。

evaluationRunSummaries

map (key: string, value: object (EvaluationRunSummary))

出力専用。評価名と EvaluationRunSummary のマッピング。

"key": value ペアのリストを含むオブジェクト。例: { "name": "wrench", "mass": "1.3kg", "count": "3" }

latencyReport

object (LatencyReport)

出力専用。評価実行のレイテンシ レポート。

runCount

integer

出力専用。実行内の評価が実行された回数。

personaRunConfigs[]

object (PersonaRunConfig)

出力専用。ペルソナごとに実行に使用する構成。

optimizationConfig

object (OptimizationConfig)

省略可。評価実行後に最適化ステップを実行するための構成。設定されていない場合、最適化ステップは実行されません。

scheduledEvaluationRun

string

出力専用。この評価実行を作成したスケジュール設定された評価実行のリソース名。このフィールドは、スケジュールされた評価実行によって評価実行が作成された場合にのみ設定されます。形式: projects/{project}/locations/{location}/apps/{app}/scheduledEvaluationRuns/{scheduled_evaluation_run}

goldenRunMethod

enum (GoldenRunMethod)

出力専用。評価の実行に使用されるメソッド。

タイムスタンプ

JSON 表現
{
  "seconds": string,
  "nanos": integer
}
フィールド
seconds

string (int64 format)

UNIX エポック 1970-01-01T00:00:00Z からの UTC 時刻の秒数を表します。-62135596800~253402300799 の範囲(両端を含む)にする必要があります(これは 0001-01-01T00:00:00Z~9999-12-31T23:59:59Z に対応します)。

nanos

integer

ナノ秒分解能による、秒の負ではない小数以下部分。このフィールドは、秒の代替ではなく、期間のナノ秒部分です。小数以下を含む負の秒の値は、時間を前方にカウントする負ではない nanos 値を持つ必要があります。0~999,999,999 にする必要があります(両端を含む)。

進行状況

JSON 表現
{
  "totalCount": integer,
  "failedCount": integer,
  "errorCount": integer,
  "completedCount": integer,
  "passedCount": integer
}
フィールド
totalCount

integer

出力専用。この実行での評価結果の合計数。

failedCount

integer

出力専用。結果が FAIL の完了した評価結果の数。(EvaluationResult.execution_state が COMPLETED で、EvaluationResult.evaluation_status が FAIL)。

errorCount

integer

出力専用。実行に失敗した評価結果の数。(EvaluationResult.execution_state が ERROR)。

completedCount

integer

出力専用。正常に完了した評価結果の数。(EvaluationResult.execution_state が COMPLETED)。

passedCount

integer

出力専用。結果が PASS の完了した評価結果の数。(EvaluationResult.execution_state が COMPLETED で、EvaluationResult.evaluation_status が PASS)。

EvaluationConfig

JSON 表現
{
  "inputAudioConfig": {
    object (InputAudioConfig)
  },
  "outputAudioConfig": {
    object (OutputAudioConfig)
  },
  "evaluationChannel": enum (EvaluationChannel),
  "toolCallBehaviour": enum (EvaluationToolCallBehaviour)
}
フィールド
inputAudioConfig
(deprecated)

object (InputAudioConfig)

省略可。入力音声の処理に関する構成。

outputAudioConfig
(deprecated)

object (OutputAudioConfig)

省略可。出力音声の生成に関する構成。

evaluationChannel

enum (EvaluationChannel)

省略可。評価するチャネル。

toolCallBehaviour

enum (EvaluationToolCallBehaviour)

省略可。評価で実際のツール呼び出しを使用するか、フェイクツールを使用するかを指定します。

InputAudioConfig

JSON 表現
{
  "audioEncoding": enum (AudioEncoding),
  "sampleRateHertz": integer,
  "noiseSuppressionLevel": string
}
フィールド
audioEncoding

enum (AudioEncoding)

必須。入力音声データのエンコード。

sampleRateHertz

integer

必須。入力音声データのサンプルレート(ヘルツ単位)。

noiseSuppressionLevel

string

省略可。入力音声のノイズ抑制を有効にするかどうか。使用可能な値は、「low」、「moderate」、「high」、「very_high」です。

OutputAudioConfig

JSON 表現
{
  "audioEncoding": enum (AudioEncoding),
  "sampleRateHertz": integer
}
フィールド
audioEncoding

enum (AudioEncoding)

必須。出力音声データのエンコード。

sampleRateHertz

integer

必須。出力音声データのサンプリング レート(ヘルツ単位)。

ステータス

JSON 表現
{
  "code": integer,
  "message": string,
  "details": [
    {
      "@type": string,
      field1: ...,
      ...
    }
  ]
}
フィールド
code

integer

ステータス コード。google.rpc.Code の列挙値である必要があります。

message

string

デベロッパー向けのエラー メッセージ。英語で記述します。ユーザー向けのエラー メッセージは、ローカライズして google.rpc.Status.details フィールドで送信するか、クライアントでローカライズする必要があります。

details[]

object

エラーの詳細を保持するメッセージのリスト。API が使用する共通のメッセージ タイプのセットがあります。

任意のデータ型のフィールドを含むオブジェクトであり、型を識別する URI を含むフィールド "@type" を追加できます。例: { "id": 1234, "@type": "types.example.com/standard/id" }

すべて

JSON 表現
{
  "typeUrl": string,
  "value": string
}
フィールド
typeUrl

string

スラッシュで終わる接頭辞と完全修飾型名で構成される URI 参照を使用して、シリアル化された Protobuf メッセージの型を識別します。

例: type.googleapis.com/google.protobuf.StringValue

この文字列には / 文字を 1 つ以上含める必要があります。最後の / の後のコンテンツは、先頭のドットのない正規形式の型の完全修飾名である必要があります。クライアントが連絡を試みないように、これらの URI 参照にスキームを記述しないでください。

接頭辞は任意であり、Protobuf 実装では、最後の / までをすべて削除して型を識別することが想定されています。type.googleapis.com/ は、一部のレガシー実装で必要な一般的なデフォルトの接頭辞です。この接頭辞は型のオリジンを示すものではなく、これを含む URI はリクエストに応答しないことが想定されています。

すべてのタイプ URL 文字列は、有効な URI 参照である必要があります。また、テキスト形式の場合、参照の内容は英数字、パーセント エンコードされたエスケープ、および次のセットの文字(外側のバッククォートを除く)/-.~_!$&()*+,;= のみで構成されている必要があります。パーセント エンコードは許可されていますが、既存のパーサーとの混同を避けるため、実装ではエスケープ解除しないでください。たとえば、type.googleapis.com%2FFoo は拒否される必要があります。

Any の元の設計では、これらの型 URL で型解決サービスを起動する可能性が検討されましたが、Protobuf は実装していません。また、これらの URL へのアクセスは問題があり、セキュリティ上の問題を引き起こす可能性があると見なされています。連絡先タイプの URL にアクセスしないでください。

value

string (bytes format)

type_url で記述された型の Protobuf シリアル化を保持します。

Base64 でエンコードされた文字列。

EvaluationErrorInfo

JSON 表現
{
  "errorType": enum (ErrorType),
  "errorMessage": string,
  "sessionId": string
}
フィールド
errorType

enum (ErrorType)

出力専用。エラーのタイプ。

errorMessage

string

出力専用。エラー メッセージ。

sessionId

string

出力専用。エラーの原因となった会話のセッション ID。

EvaluationRunSummariesEntry

JSON 表現
{
  "key": string,
  "value": {
    object (EvaluationRunSummary)
  }
}
フィールド
key

string

value

object (EvaluationRunSummary)

EvaluationRunSummary

JSON 表現
{
  "passedCount": integer,
  "failedCount": integer,
  "errorCount": integer
}
フィールド
passedCount

integer

出力専用。この実行で関連付けられた評価に合格した結果の数。

failedCount

integer

出力専用。この実行に関連付けられた評価の失敗した結果の数。

errorCount

integer

出力専用。この実行に関連付けられた評価のエラー結果の数。

LatencyReport

JSON 表現
{
  "toolLatencies": [
    {
      object (ToolLatency)
    }
  ],
  "callbackLatencies": [
    {
      object (CallbackLatency)
    }
  ],
  "guardrailLatencies": [
    {
      object (GuardrailLatency)
    }
  ],
  "llmCallLatencies": [
    {
      object (LlmCallLatency)
    }
  ],
  "sessionCount": integer
}
フィールド
toolLatencies[]

object (ToolLatency)

出力専用。順序なしリスト。各ツールのレイテンシ指標。

callbackLatencies[]

object (CallbackLatency)

出力専用。順序なしリスト。各コールバックのレイテンシ指標。

guardrailLatencies[]

object (GuardrailLatency)

出力専用。順序なしリスト。各ガードレールのレイテンシ指標。

llmCallLatencies[]

object (LlmCallLatency)

出力専用。順序なしリスト。各 LLM 呼び出しのレイテンシ指標。

sessionCount

integer

出力専用。レイテンシ レポートで考慮されたセッションの合計数。

ToolLatency

JSON 表現
{
  "toolDisplayName": string,
  "latencyMetrics": {
    object (LatencyMetrics)
  },

  // Union field tool_identifier can be only one of the following:
  "tool": string,
  "toolsetTool": {
    object (ToolsetTool)
  }
  // End of list of possible types for union field tool_identifier.
}
フィールド
toolDisplayName

string

出力専用。ツールの表示名。

latencyMetrics

object (LatencyMetrics)

出力専用。ツールのレイテンシ指標。

共用体フィールド tool_identifier。ツールの識別子。tool_identifier は次のいずれかになります。
tool

string

出力専用。形式: projects/{project}/locations/{location}/apps/{app}/tools/{tool}

toolsetTool

object (ToolsetTool)

出力専用。ツールセット ツールの識別子。

ToolsetTool

JSON 表現
{
  "toolset": string,
  "toolId": string
}
フィールド
toolset

string

必須。このツールが派生した Toolset のリソース名。形式: projects/{project}/locations/{location}/apps/{app}/toolsets/{toolset}

toolId

string

省略可。スキーマを取得するツールをフィルタするツール ID。

LatencyMetrics

JSON 表現
{
  "p50Latency": string,
  "p90Latency": string,
  "p99Latency": string,
  "callCount": integer
}
フィールド
p50Latency

string (Duration format)

出力専用。50 パーセンタイル レイテンシ。

s で終わる小数 9 桁までの秒単位の期間。例: "3.5s"

p90Latency

string (Duration format)

出力専用。90 パーセンタイル レイテンシ。

s で終わる小数 9 桁までの秒単位の期間。例: "3.5s"

p99Latency

string (Duration format)

出力専用。99 パーセンタイル レイテンシ。

s で終わる小数 9 桁までの秒単位の期間。例: "3.5s"

callCount

integer

出力専用。リソースが呼び出された回数。

所要時間

JSON 表現
{
  "seconds": string,
  "nanos": integer
}
フィールド
seconds

string (int64 format)

期間の符号付き秒数。-315,576,000,000 ~+315,576,000,000 の範囲(両端を含む)にする必要があります。注: これらの境界は、60 秒/分 * 60 分/時間 * 24 時間/日 * 365.25 日/年 * 10,000 年から計算されます。

nanos

integer

期間のナノ秒分解能による、秒の符号付き小数以下部分。1 秒未満の期間は、0 の seconds フィールドと正または負の nanos フィールドで表されます。1 秒以上の期間の場合、nanos フィールドのゼロ以外の値は、seconds フィールドと同じ符号である必要があります。-999,999,999~+999,999,999 の範囲内(境界含む)である必要があります。

CallbackLatency

JSON 表現
{
  "stage": string,
  "latencyMetrics": {
    object (LatencyMetrics)
  }
}
フィールド
stage

string

出力専用。コールバックのステージ。

latencyMetrics

object (LatencyMetrics)

出力専用。コールバックのレイテンシ指標。

GuardrailLatency

JSON 表現
{
  "guardrail": string,
  "guardrailDisplayName": string,
  "latencyMetrics": {
    object (LatencyMetrics)
  }
}
フィールド
guardrail

string

出力専用。ガードレールの名前。形式: projects/{project}/locations/{location}/apps/{app}/guardrails/{guardrail}

guardrailDisplayName

string

出力専用。ガードレールの表示名。

latencyMetrics

object (LatencyMetrics)

出力専用。ガードレールのレイテンシ指標。

LlmCallLatency

JSON 表現
{
  "model": string,
  "latencyMetrics": {
    object (LatencyMetrics)
  }
}
フィールド
model

string

出力専用。モデルの名前。

latencyMetrics

object (LatencyMetrics)

出力専用。LLM 呼び出しのレイテンシ指標。

PersonaRunConfig

JSON 表現
{
  "persona": string,
  "taskCount": integer
}
フィールド
persona

string

省略可。評価に使用するペルソナ。形式: projects/{project}/locations/{location}/apps/{app}/evaluationPersonas/{evaluationPersona}

taskCount

integer

省略可。ペルソナで実行するタスクの数。

OptimizationConfig

JSON 表現
{
  "generateLossReport": boolean,
  "assistantSession": string,
  "reportSummary": string,
  "shouldSuggestFix": boolean,
  "status": enum (OptimizationStatus),
  "errorMessage": string,
  "lossReport": {
    object
  }
}
フィールド
generateLossReport

boolean

省略可。損失レポートを生成するかどうか。

assistantSession

string

出力専用。この評価実行に基づく最適化に使用するアシスタント セッション。形式: projects/{project}/locations/{location}/apps/{app}/assistantSessions/{assistantSession}

reportSummary

string

出力専用。損失レポートの概要。

shouldSuggestFix

boolean

出力専用。損失の修正を提案するかどうか。

status

enum (OptimizationStatus)

出力専用。最適化実行のステータス。

errorMessage

string

出力専用。最適化の実行が失敗した場合のエラー メッセージ。

lossReport

object (Struct format)

出力専用。生成された損失レポート。

構造体

JSON 表現
{
  "fields": {
    string: value,
    ...
  }
}
フィールド
fields

map (key: string, value: value (Value format))

動的に型指定される値の順序なしのマップ。

"key": value ペアのリストを含むオブジェクト。例: { "name": "wrench", "mass": "1.3kg", "count": "3" }

FieldsEntry

JSON 表現
{
  "key": string,
  "value": value
}
フィールド
key

string

value

value (Value format)

JSON 表現
{

  // Union field kind can be only one of the following:
  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
  // End of list of possible types for union field kind.
}
フィールド
共用体フィールド kind。値の種類。kind は次のいずれかになります。
nullValue

null

null 値を表します。

numberValue

number

double 値を表します。

stringValue

string

文字列値を表します。

boolValue

boolean

ブール値を表します。

structValue

object (Struct format)

構造化された値を表します。

listValue

array (ListValue format)

Value の繰り返しを表します。

ListValue

JSON 表現
{
  "values": [
    value
  ]
}
フィールド
values[]

value (Value format)

動的に型指定される値の繰り返しフィールド。

ツールのアノテーション

破壊的ヒント: ❌ | べき等ヒント: ✅ | 読み取り専用ヒント: ✅ | オープン ワールド ヒント: ❌